<?php
require($netsFileConfig['sysCoreRoot'].'Inc/netsFunc/Func/netsSimpleXml.php');

class PaDefault extends CustomPage {
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnBInitial(){
		$this->sMetaTitle='微博列表';
		$this->getUser('1,2,3,4,5,');
				$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'netsuserinfo','sttColumnHead'=>'uit'),
			array('sttTableName'=>$this->sysTableHead.'netsuserinfocont','sttColumnHead'=>'uict'),);
		$this->sTemplatePath='Comm/userList_Normal.php';
		
		//Search Type
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=72;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Comm_UserSearchType';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sUserSearchType1);
		$this->sUserSearchType2=$this->sUserSearchType1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='所有';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sUserSearchType2,$tmpAR0);
		//Co_Sex
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=45;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Co_Sex';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sCo_Sex1);
		$this->sCo_Sex2=$this->sCo_Sex1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='所有';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sCo_Sex2,$tmpAR0);
		//Info_BloodType
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=77;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Info_BloodType';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sInfo_BloodType1);
		$this->sInfo_BloodType2=$this->sInfo_BloodType1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='所有';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sInfo_BloodType2,$tmpAR0);
		//Info_Constellation
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=74;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Info_Constellation';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sInfo_Constellation1);
		$this->sInfo_Constellation2=$this->sInfo_Constellation1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='所有';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sInfo_Constellation2,$tmpAR0);
		//Info_Marriage
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=76;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Info_Marriage';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sInfo_Marriage1);
		$this->sInfo_Marriage2=$this->sInfo_Marriage1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='所有';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sInfo_Marriage2,$tmpAR0);
		//Info_Zodiac
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=$this->sOptionSQL;
		$tmpAR0['InitialString']=75;
		$tmpAR0['Parid']='sotID';
		$tmpAR0['Text']='sotName';
		$tmpAR0['Value']='sotValue';
		$tmpAR0['Type']=1;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Info_Zodiac';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sInfo_Zodiac1);
		$this->sInfo_Zodiac2=$this->sInfo_Zodiac1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='所有';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sInfo_Zodiac2,$tmpAR0);
		
		//-- ------ #Control ------ --
		$this->sUiDescription_Custom0=array();
		$tmpSTR=$this->sUiDescriptionPath.'Plus/comm/userlist_search.php';
		if(file_exists($tmpSTR)){
			require($tmpSTR);
			$this->sUiDescription_Custom0=$sysUiDescriptions['userlist_search'];
		}
		
	}
	public function OnList(){
		$tmpSearchSTR='DSearch';
		$this->sSearchAR=$this->AnalyerRequest($tmpSearchSTR,',-1,,,,,,,,,-1,,-1,-1,-1,-1,-1,,ID',0);
		
		
		
		
		
	}
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		$tmpSimpleXml=new netsSimpleXml();
		
		//-- #VALUE --
		if($pColumn['stcotName']=='Nickname'){
			$pColumn['Value']=$this->sSearchAR[0];
		}else if($pColumn['stcotName']=='SearchType'){
			$pColumn['Value']=$this->sSearchAR[1];
		}else if($pColumn['stcotName']=='Co_ZoneChoose'){
			$pColumn['Value']=$this->sSearchAR[2];
		}else if($pColumn['stcotName']=='Info_Hometown'){
			$pColumn['Value']=$this->sSearchAR[3];
		}else if($pColumn['stcotName']=='Info_School_University'){
			$pColumn['Value']=$this->sSearchAR[4];
			$tmpSimpleXml->loadXml_UiParameter($this->readFile($this->sysFileConfig['sysCoreRoot'].$this->sysFileConfig['sysUiParameterPath'].'Mana/nets/Into_School.php'));
			$tmpSTR=str_replace($this->sysSPLIT10,'',$tmpSimpleXml->sXmlElement->Parameters[0]->Value);
			$pColumn['Parameter']=$tmpSTR;
			
		}else if($pColumn['stcotName']=='Co_Company'){
			$pColumn['Value']=$this->sSearchAR[5];
			$tmpSimpleXml->loadXml_UiParameter($this->readFile($this->sysFileConfig['sysCoreRoot'].$this->sysFileConfig['sysUiParameterPath'].'Mana/nets/Into_School.php'));
			$tmpSTR=str_replace($this->sysSPLIT10,'',$tmpSimpleXml->sXmlElement->Parameters[0]->Value);
			$pColumn['Parameter']=$tmpSTR;
			
		}else if($pColumn['stcotName']=='Info_School_High'){
			$pColumn['Value']=$this->sSearchAR[6];
			$tmpSimpleXml->loadXml_UiParameter($this->readFile($this->sysFileConfig['sysCoreRoot'].$this->sysFileConfig['sysUiParameterPath'].'Mana/nets/Into_School.php'));
			$tmpSTR=str_replace($this->sysSPLIT10,'',$tmpSimpleXml->sXmlElement->Parameters[0]->Value);
			$pColumn['Parameter']=$tmpSTR;
			
		}else if($pColumn['stcotName']=='Info_School_JuniorHigh'){
			$pColumn['Value']=$this->sSearchAR[7];
			$tmpSimpleXml->loadXml_UiParameter($this->readFile($this->sysFileConfig['sysCoreRoot'].$this->sysFileConfig['sysUiParameterPath'].'Mana/nets/Into_School.php'));
			$tmpSTR=str_replace($this->sysSPLIT10,'',$tmpSimpleXml->sXmlElement->Parameters[0]->Value);
			$pColumn['Parameter']=$tmpSTR;
			
		}else if($pColumn['stcotName']=='Info_School_Primary'){
			$pColumn['Value']=$this->sSearchAR[8];
			$tmpSimpleXml->loadXml_UiParameter($this->readFile($this->sysFileConfig['sysCoreRoot'].$this->sysFileConfig['sysUiParameterPath'].'Mana/nets/Into_School.php'));
			$tmpSTR=str_replace($this->sysSPLIT10,'',$tmpSimpleXml->sXmlElement->Parameters[0]->Value);
			$pColumn['Parameter']=$tmpSTR;
			
		}else if($pColumn['stcotName']=='Info_School_Other'){
			$pColumn['Value']=$this->sSearchAR[9];
			$tmpSimpleXml->loadXml_UiParameter($this->readFile($this->sysFileConfig['sysCoreRoot'].$this->sysFileConfig['sysUiParameterPath'].'Mana/nets/Into_School.php'));
			$tmpSTR=str_replace($this->sysSPLIT10,'',$tmpSimpleXml->sXmlElement->Parameters[0]->Value);
			$pColumn['Parameter']=$tmpSTR;
			
		}else if($pColumn['stcotName']=='Co_Sex'){
			$pColumn['Value']=$this->sSearchAR[10];
		}else if($pColumn['stcotName']=='Info_Hobby'){
			$pColumn['Value']=$this->sSearchAR[11];
		}else if($pColumn['stcotName']=='Info_Age'){
			$pColumn['Value']=$this->sSearchAR[12];
		}else if($pColumn['stcotName']=='Info_BloodType'){
			$pColumn['Value']=$this->sSearchAR[13];
		}else if($pColumn['stcotName']=='Info_Constellation'){
			$pColumn['Value']=$this->sSearchAR[14];
		}else if($pColumn['stcotName']=='Info_Marriage'){
			$pColumn['Value']=$this->sSearchAR[15];
		}else if($pColumn['stcotName']=='Info_Zodiac'){
			$pColumn['Value']=$this->sSearchAR[16];
		}else if($pColumn['stcotName']=='Tag'){
			$pColumn['Value']=$this->sSearchAR[17];

		}
		//-- #OPTION --
		if($pColumn['stcotName']=='Co_Sex'){
			$pColumn['Option']=$this->sCo_Sex2;
		}else if($pColumn['stcotName']=='Info_BloodType'){
			$pColumn['Option']=$this->sInfo_BloodType2;
		}else if($pColumn['stcotName']=='Info_Constellation'){
			$pColumn['Option']=$this->sInfo_Constellation2;
		}else if($pColumn['stcotName']=='Info_Marriage'){
			$pColumn['Option']=$this->sInfo_Marriage2;
		}else if($pColumn['stcotName']=='Info_Zodiac'){
			$pColumn['Option']=$this->sInfo_Zodiac2;

		}
		//-- #STYLE --
		if($pColumn['stcoctUiType']=='Text'){
			$pColumn['ControlStyle']='width:560px;';

		}
		return $pColumn;
	}
	
	public function getSearch($pValue,$pType){
/*


所有
	姓名
	地区
	家乡
	大学
	工作单位
	高中
	初中
	小学
	其它
	性别
	爱好
	年龄
	血型
	星座
	婚恋
	标签

	
圈友
评论过的







姓名,Nickname,
查询类型,SearchType,-1
地区,Co_ZoneChoose,
家乡,Info_Hometown,
大学,Info_School_University,
工作单位,Co_Company,
高中,Info_School_High,
初中,Info_School_JuniorHigh,
小学,Info_School_Primary,
其它,Info_School_Other,
性别,Co_Sex,-1
爱好,Info_Hobby,
年龄,Info_Age,-1
血型,Info_BloodType,-1
星座,Info_Constellation,-1
婚恋,Info_Marriage,-1
属相,Info_Zodiac,-1
标签,Tag,
排序,OrderBy,ID

*/
		//-- #VALUE --
		$tmpAR0=$this->sSearchAR;
		//Nickname
		if($pType==0) $tmpAR0[0]=$pValue;
		//SearchType
		if($pType==1) $tmpAR0[1]=$pValue;
		//Co_ZoneChoose
		if($pType==2) $tmpAR0[2]=$pValue;
		//Info_Hometown
		if($pType==3) $tmpAR0[3]=$pValue;
		//Info_School_University
		if($pType==4) $tmpAR0[4]=$pValue;
		//Co_Company
		if($pType==5) $tmpAR0[5]=$pValue;
		//Info_School_High
		if($pType==6) $tmpAR0[6]=$pValue;
		//Info_School_JuniorHigh
		if($pType==7) $tmpAR0[7]=$pValue;
		//Info_School_Primary
		if($pType==8) $tmpAR0[8]=$pValue;
		//Info_School_Other
		if($pType==9) $tmpAR0[9]=$pValue;
		//Co_Sex
		if($pType==10) $tmpAR0[10]=$pValue;
		//Info_Hobby
		if($pType==11) $tmpAR0[11]=$pValue;
		//Info_Age
		if($pType==12) $tmpAR0[12]=$pValue;
		//Info_BloodType
		if($pType==13) $tmpAR0[13]=$pValue;
		//Info_Constellation
		if($pType==14) $tmpAR0[14]=$pValue;
		//Info_Marriage
		if($pType==15) $tmpAR0[15]=$pValue;
		//Info_Zodiac
		if($pType==16) $tmpAR0[16]=$pValue;
		//Tag
		if($pType==17) $tmpAR0[17]=$pValue;
		//OrderBy
		if($pType==18) $tmpAR0[18]=$pValue;

		//-- #SPICAL --
		if ($pType==100) {
			/*
			$tmpAR0[8]=0;
			$tmpAR0[9]=0;
			$tmpAR0[10]=0;
			$tmpAR0[11]=0;
			$tmpAR0[12]=0;
			*/
		}else if ($pType==101) {
		}
		//-- #SPELL --
		$tmpSTR=$this->sysPage.'?DSearch='.
			$tmpAR0[0].$this->sysSPLIT1.
			$tmpAR0[1].$this->sysSPLIT1.
			$tmpAR0[2].$this->sysSPLIT1.
			$tmpAR0[3].$this->sysSPLIT1.
			$tmpAR0[4].$this->sysSPLIT1.
			$tmpAR0[5].$this->sysSPLIT1.
			$tmpAR0[6].$this->sysSPLIT1.
			$tmpAR0[7].$this->sysSPLIT1.
			$tmpAR0[8].$this->sysSPLIT1.
			$tmpAR0[9].$this->sysSPLIT1.
			$tmpAR0[10].$this->sysSPLIT1.
			$tmpAR0[11].$this->sysSPLIT1.
			$tmpAR0[12].$this->sysSPLIT1.
			$tmpAR0[13].$this->sysSPLIT1.
			$tmpAR0[14].$this->sysSPLIT1.
			$tmpAR0[15].$this->sysSPLIT1.
			$tmpAR0[16].$this->sysSPLIT1.
			$tmpAR0[17].$this->sysSPLIT1.
			$tmpAR0[18];
		return $tmpSTR;
	}
	
}
?>